Bug 102934 - net/tsclient
Summary: net/tsclient
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-06 08:20 UTC by vova
Modified: 2006-10-31 13:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vova 2006-09-06 08:20:17 UTC

Failed to add applet on panel 
- on addition panel complains that there was problems with "OAFIID:GNOME_TSClientApplet"

% pkg_info -I tsclient\* gnome-\* gtk-\*
gnome-applets-2.14.2_1 Applets components for the Gnome 2 Desktop Environment
gnome-art-0.2_1     Frontend for art.gnome.org
gnome-backgrounds-2.14.2.1 A collection of backgrounds for GNOME 2
gnome-control-center-2.14.2 Control center for GNOME 2 project
gnome-cups-manager-0.31_3,1 Admistration tool for cups
gnome-desktop-2.14.3 Additional UI API for GNOME 2
gnome-doc-utils-0.6.1 GNOME doc utils
gnome-games-2.14.3  The game applications package for the Gnome 2 Desktop Envir
gnome-icon-theme-2.14.2 A collection of icons for the GNOME 2 desktop
gnome-libs-1.4.2_5  Libraries for GNOME, a GNU desktop environment
gnome-mag-0.12.6    GNOME screen magnifier
gnome-media-2.14.2  Multimedia applications for the GNOME 2 desktop
gnome-menu-editor-0.6 Simple menu editor for Gnome
gnome-menus-2.14.3  Implementation of the FreeDesktop Desktop Menu Spec
gnome-panel-2.14.3  Panel component for the GNOME 2 Desktop
gnome-pkgview-1.0.6 Displays the version of GNOME components installed
gnome-screensaver-2.14.3 GNOME screen saver and locker
gnome-session-2.14.3 Session component for the GNOME 2 desktop
gnome-splashscreen-manager-0.2_1 Gnome splash screen manager
gnome-ssh-askpass-3.6p1_5 A graphical ssh askpass utility for Gnome2
gnome-system-monitor-2.14.5 GNOME 2 system monitor program
gnome-terminal-2.14.2 Terminal component for the GNOME 2 Desktop
gnome-themes-2.14.3 A collection of themes and icons for GNOME2
gnome-translate-0.99_5 A natural language translator
gnome-user-share-0.10_1 Personal file-sharing service for the GNOME Desktop
gnome-vfs-2.14.2_3  GNOME Virtual File System
gnome-vfsmm-2.14.0  C++ wrapper for gnomevfs2 library
gtk-1.2.10_15       Gimp Toolkit for X11 GUI (previous stable version)
gtk-2.8.20          Gimp Toolkit for X11 GUI (current stable version)
gtk-engines2-2.6.10 Theme engine for the gtk+-2.0 toolkit
gtk-gnutella-0.96.1 GTK based Gnutella client
gtk-send-pr-0.4.7   GTK2 send-pr tool
gtk-sharp-1.0.10_8  GTK+ and GNOME interfaces for the .NET runtime
gtk-sharp-2.8.0_2   GTK+ and GNOME interfaces for the .NET runtime
tsclient-0.148      A GNOME 2 frontend for rdesktop and vncviewer
%

Also in applet addition dialogue there is no icon neat Terminal Server Client.

What details I can provid to help resolve problem ?

Fix: 

No fix yet
How-To-Repeat: 

build and install tsclient port and try to add applet on panel.
Comment 1 Edwin Groothuis freebsd_committer 2006-09-06 08:20:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tim Welch 2006-09-06 23:05:50 UTC
I'm not sure what's causing this. The error can be found on google for
several applets, some of which are stock gnome applets (mixer, window
list, etc). Things that might help:
  1) check 'ldd /usr/X11R6/libexec/tsclient-applet' for libraries not found
  2) force a rebuild of gnome-panel and all dependencies
Aside from that, I don't know. Take some comfort in the fact that the
tsclient applet is not all that useful anyway :)
Comment 3 Pav Lucistnik freebsd_committer 2006-10-07 16:36:29 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 4 Pav Lucistnik freebsd_committer 2006-10-07 16:36:47 UTC
State Changed
From-To: open->feedback

Can you or the maintainer provide any patches? Otherwise I see no other option 
than to abandon this PR. 


Comment 5 Pav Lucistnik freebsd_committer 2006-10-07 16:36:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 6 Tim Welch 2006-10-13 10:25:46 UTC
I've still recieved no response from the program's author regarding this bug,
so for now I'm removing the applet from the build process entirely. Pav,
sorry I'm late ;)

Tim

diff -urN tsclient/Makefile tsclient.new/Makefile
--- tsclient/Makefile	Mon May 29 16:54:27 2006
+++ tsclient.new/Makefile	Fri Oct 13 04:00:51 2006
@@ -7,6 +7,7 @@
 
 PORTNAME=	tsclient
 PORTVERSION=	0.148
+PORTREVISION=	1
 CATEGORIES=	net gnome
 MASTER_SITES=	http://www.gnomepro.com/tsclient/
 
diff -urN tsclient/files/patch-Makefile.in tsclient.new/files/patch-Makefile.in
--- tsclient/files/patch-Makefile.in	Mon Nov 10 14:57:17 2003
+++ tsclient.new/files/patch-Makefile.in	Sun Oct  8 03:04:29 2006
@@ -1,5 +1,14 @@
---- Makefile.in.orig	Sun Nov  9 19:01:24 2003
-+++ Makefile.in	Sun Nov  9 19:02:30 2003
+--- Makefile.in.bak	Sun Oct  8 03:03:52 2006
++++ Makefile.in	Sun Oct  8 03:04:10 2006
+@@ -145,7 +145,7 @@
+ sysconfdir = @sysconfdir@
+ target_alias = @target_alias@
+ 
+-SUBDIRS = src applet po
++SUBDIRS = src po
+ 
+ appicondir = $(datadir)/pixmaps
+ appicon_DATA = tsclient.png
 @@ -161,7 +161,7 @@
  mime_DATA = tsclient.mime tsclient.keys
  
@@ -8,3 +17,4 @@
 +man1dir = $(prefix)/man/man1
  
  intlfiles = intltool-extract.in intltool-merge.in intltool-update.in
+ 
diff -urN tsclient/files/patch-configure tsclient.new/files/patch-configure
--- tsclient/files/patch-configure	Wed Dec 31 18:00:00 1969
+++ tsclient.new/files/patch-configure	Fri Oct 13 03:56:07 2006
@@ -0,0 +1,27 @@
+--- configure.	Fri Oct 13 03:55:18 2006
++++ configure	Fri Oct 13 03:55:40 2006
+@@ -4198,7 +4198,6 @@
+ 
+ 
+ pkg_modules="libgnomeui-2.0"
+-pkg_modules="libpanelapplet-2.0"
+ 
+   succeeded=no
+ 
+@@ -5614,7 +5613,7 @@
+ fi
+ 
+ 
+-                                        ac_config_files="$ac_config_files Makefile src/Makefile applet/Makefile po/Makefile.in"
++                                        ac_config_files="$ac_config_files Makefile src/Makefile po/Makefile.in"
+ cat >confcache <<\_ACEOF
+ # This file is a shell script that caches the results of configure
+ # tests run on this system so they can be shared between configure
+@@ -6188,7 +6187,6 @@
+   # Handling of arguments.
+   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+-  "applet/Makefile" ) CONFIG_FILES="$CONFIG_FILES applet/Makefile" ;;
+   "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
+   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
+   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
diff -urN tsclient/pkg-plist tsclient.new/pkg-plist
--- tsclient/pkg-plist	Mon May 29 16:54:27 2006
+++ tsclient.new/pkg-plist	Fri Oct 13 04:00:13 2006
@@ -1,6 +1,4 @@
 bin/tsclient
-libdata/bonobo/servers/GNOME_TSClientApplet.server
-libexec/tsclient-applet
 share/gnome/application-registry/tsclient.applications
 share/gnome/applications/tsclient.desktop
 share/gnome/mime-info/tsclient.keys
Comment 7 Pav Lucistnik freebsd_committer 2006-10-14 21:52:06 UTC
State Changed
From-To: feedback->open

Feedback received (maintainer to remove the applet entirely). 
Have to wait after release freeze.
Comment 8 Pav Lucistnik freebsd_committer 2006-10-31 13:27:11 UTC
State Changed
From-To: open->closed

Maintainer's patch (to disable applet altogether) committed.
Comment 9 dfilter service freebsd_committer 2006-10-31 13:27:49 UTC
pav         2006-10-31 13:27:40 UTC

  FreeBSD ports repository

  Modified files:
    net/tsclient         Makefile pkg-plist 
    net/tsclient/files   patch-Makefile.in 
  Added files:
    net/tsclient/files   patch-configure 
  Log:
  - Disable panel applet, it does not work
  
  PR:             ports/102934
  Submitted by:   Tim Welch <twelch@thepentagon.org> (maintainer)
  
  Revision  Changes    Path
  1.25      +2 -1      ports/net/tsclient/Makefile
  1.3       +12 -2     ports/net/tsclient/files/patch-Makefile.in
  1.1       +27 -0     ports/net/tsclient/files/patch-configure (new)
  1.11      +0 -2      ports/net/tsclient/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"